org.apache.cassandra.index.sasi.analyzer.filter

## Class StopWordFactory

- java.lang.Object
- - org.apache.cassandra.index.sasi.analyzer.filter.StopWordFactory

    public class StopWordFactory
    extends java.lang.Object

Provides a list of Stop Words for a given language

### Constructor Summary

Constructors
Constructor and Description
`StopWordFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.util.Set<java.lang.String>` `getStopWordsForLanguage(java.util.Locale locale)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StopWordFactory

    public StopWordFactory()

### Method Detail

#### getStopWordsForLanguage

    public static java.util.Set<java.lang.String> getStopWordsForLanguage(java.util.Locale locale)